# Generated by Django 3.1.7 on 2021-10-12 10:39
import os

from django.db import connection, migrations


def load_triggers(apps, schema_editor):
    file_names = ["resolwe_indexes.sql"]
    with connection.cursor() as c:
        for file_name in file_names:
            file_path = os.path.join(os.path.dirname(__file__), file_name)
            with open(file_path) as fh:
                sql_statement = fh.read()
            c.execute(sql_statement)


class Migration(migrations.Migration):
    dependencies = [
        ("resolwe_bio", "0005_remove_descriptor_indices"),
        ("flow", "0028_update_all_sql_entity_methods"),
    ]

    operations = [
        migrations.RunPython(load_triggers),
        # Update existing entries.
        migrations.RunSQL("UPDATE flow_data SET id=id;"),
    ]
